<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * Copyright (C) 2008 - 2010 - Michael Baudin
 * Copyright (C) 2010 - 2011 - DIGITEO - Michael Baudin
-->
<refentry
          version="5.0-subset Scilab"
          xml:id="scibench_overview"
          xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>scibench_overview</refname>

    <refpurpose>An overview of the Scilab Benchmark toolbox.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Purpose</title>

    <para>
    The goal of this toolbox is to provide a collection of
    benchmarking scripts.
    </para>

  </refsection>




  <refsection>
    <title>Quick start</title>

    <para>
    In the following example, we print the settings of Scilab.
    </para>

    <screen>
    <![CDATA[
-->env = scibench_getsettings (  )
 env  =
Benchmark Environment:
=========================
Scilab: scilab-5.3.0-beta-4
Number of processors: 4
OS:  Windows Vista
Architecture: x86
CPU: Intel(R) Xeon(R) CPU           E5410  @ 2.33GHz
 ]]>
 </screen>

    <para>
    In the following example, we perform a benchmark of the backslash operator.
    </para>

    <screen>
<![CDATA[
-->lines(0);
-->stacksize("max");
-->perftable = scibench_backslash ( %t , %t , 0.1 , 8 , 1.2 );
Run #1: n=   768, T=0.118 (s), Mflops=  2569, Log(cond)= 6
Run #2: n=  1107, T=0.170 (s), Mflops=  5334, Log(cond)= 6
Run #3: n=  1329, T=0.225 (s), Mflops=  6970, Log(cond)= 7
Run #4: n=  1595, T=0.255 (s), Mflops= 10628, Log(cond)= 6
Run #5: n=  1914, T=0.434 (s), Mflops= 10787, Log(cond)= 6
Run #6: n=  2297, T=0.711 (s), Mflops= 11378, Log(cond)= 6
Run #7: n=  2757, T=1.032 (s), Mflops= 13552, Log(cond)= 6
Run #8: n=  3309, T=1.662 (s), Mflops= 14546, Log(cond)= 7
WARNING: scibench_backslash: Skipping ill-conditionned matrix: condition=10^8.
Run #9: n=  3971, T=2.675 (s), Mflops= 15617, Log(cond)= 6
Run #10: n=  4766, T=3.979 (s), Mflops= 18149, Log(cond)= 7
Run #11: n=  5720, T=6.787 (s), Mflops= 18392, Log(cond)= 7
 Error:    lsq: stack size exceeded (Use stacksize function to increase it).
Best performance: N=5720, T=6.787 (s), MFLOPS=18392
 ]]>
 </screen>
  </refsection>

  <refsection>
    <title>Authors</title>

    <para>
    Copyright (C) 2010 - DIGITEO - Michael Baudin
    </para>
  </refsection>

</refentry>
